<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<!-- 
IGAC proyecto SNC
@author lorena.salamanca
  
@cu CU-SA-AC-054 Consultar Información de Entidades

@modified rodrigo.hernandez 11-09-2012: se adicionó el inputHidden consultaInformacionEntidadesMBCaller
                                        para realizar llamado de ConsultarInformacionEntidadesMB 
                                        al iniciar la pagina 
-->

<ui:composition xmlns="http://www.w3.org/1999/xhtml"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns:f="http://java.sun.com/jsf/core"
                xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:p="http://primefaces.org/ui"
                xmlns:misc="http://java.sun.com/jsf/composite/misc"
                xmlns:predio="http://java.sun.com/jsf/composite/predio"
                xmlns:avaluos="http://java.sun.com/jsf/composite/avaluos"
                template="../../templates/generalCU.xhtml">

    <ui:define name="title">
        .::Sistema Nacional Catastral::. .::Consultar Información de Entidades::.
    </ui:define>

    <ui:define name="content">

        <p:ajaxStatus onstart="statusDialog.show();"
                      onsuccess="statusDialog.hide();" onerror="statusDialog.hide();" />
        <p:focus />

        <p:messages id="msgsCIE" showDetail="false" globalOnly="false" />
        <h:panelGrid id="consultarEntidadesPG" width="100%">
            <h:form id="consultarEntidadesForm">

                <h:panelGrid id="busquedaSolicitantesAvaluosPG" width="100%">

                    <p:fieldset>

                        <legend>
                            <h:outputText value="Criterios de búsqueda"
                                          styleClass="legendTitle" />
                        </legend>

                        <h:panelGrid columns="2" cellspacing="7"
                                     columnClasses="colPequena, colMediana">

                            <h:panelGroup>
                                <h:outputLabel value="Tipo empresa"
                                               styleClass="outputLabelStyle" />
                                <h:outputLabel value="* " styleClass="requiredLabelStyle" />
                            </h:panelGroup>
                            <h:panelGrid columns="2">
                                <h:selectOneRadio id="tipoEmpresa" label="Tipo empresa"
                                                  value="#{consultaInformacionEntidades.filtroDatosConsultaSolicitante.tipoPersona}"
                                                  required="true">
                                    <f:selectItems value="#{general.personaTipoPersonaV}" />
                                    <p:ajax
                                        update=":consultarEntidadesForm:busquedaSolicitantesAvaluosPG"
                                        listener="#{consultaInformacionEntidades.onChangeTipoPersona}" />
                                </h:selectOneRadio>
                                <p:message for="tipoEmpresa" display="icon" />
                            </h:panelGrid>

                        </h:panelGrid>

                        <h:panelGrid columns="4" cellspacing="7"
                                     columnClasses="colPequena, colMediana, colPequena, colMediana"
                                     rendered="#{!consultaInformacionEntidades.banderaEsPersonaNatural}">

                            <h:outputLabel value="Razón social:"
                                           styleClass="outputLabelStyle" />
                            <h:inputText
                                value="#{consultaInformacionEntidades.filtroDatosConsultaSolicitante.razonSocial}"
                                size="40" />

                            <h:outputLabel value="Sigla:" styleClass="outputLabelStyle" />
                            <h:inputText
                                value="#{consultaInformacionEntidades.filtroDatosConsultaSolicitante.sigla}"
                                size="10" />

                        </h:panelGrid>

                        <h:panelGrid columns="4" cellspacing="7"
                                     columnClasses="colPequena, colMediana, colPequena, colMediana"
                                     rendered="#{consultaInformacionEntidades.banderaEsPersonaNatural}">

                            <h:outputLabel value="Persona natural:"
                                           styleClass="outputLabelStyle" />
                            <h:inputText
                                value="#{consultaInformacionEntidades.filtroDatosConsultaSolicitante.nombreCompleto}"
                                size="50" />

                        </h:panelGrid>

                        <h:panelGrid columns="4" cellspacing="7"
                                     columnClasses="colPequena, colMediana, colPequena, colMediana">

                            <h:outputLabel value="Tipo documento:"
                                           styleClass="outputLabelStyle" />
                            <h:selectOneMenu required="true"
                                             value="#{consultaInformacionEntidades.filtroDatosConsultaSolicitante.tipoIdentificacion}"
                                             rendered="#{consultaInformacionEntidades.banderaEsPersonaNatural}">
                                <f:selectItem itemLabel="Seleccionar..." />
                                <f:selectItems
                                    value="#{general.personaTipoIdentificacionNoNitCV}" />
                            </h:selectOneMenu>
                            <h:outputText
                                value="#{consultaInformacionEntidades.filtroDatosConsultaSolicitante.tipoIdentificacion}"
                                styleClass="outputTextStyle"
                                rendered="#{!consultaInformacionEntidades.banderaEsPersonaNatural}" />

                            <h:outputLabel value="Número documento:"
                                           styleClass="outputLabelStyle" />
                            <h:inputText
                                value="#{consultaInformacionEntidades.filtroDatosConsultaSolicitante.numeroIdentificacion}"
                                styleClass="outputTextStyle" />

                        </h:panelGrid>

                        <h:panelGrid columns="4" cellspacing="7"
                                     columnClasses="colPequena, colMediana, colPequena, colMediana"
                                     rendered="#{!consultaInformacionEntidades.banderaEsPersonaNatural}">

                            <h:outputLabel value="Digito de verificación"
                                           styleClass="outputLabelStyle" />
                            <h:inputText
                                value="#{consultaInformacionEntidades.filtroDatosConsultaSolicitante.digitoVerificacion}"
                                size="3" />

                        </h:panelGrid>

                        <h:panelGrid columns="1" cellspacing="7">

                            <p:commandButton value="Buscar" icon="ui-icon ui-icon-search"
                                             action="#{consultaInformacionEntidades.buscar}"
                                             update=":msgsCIE, :consultarEntidadesForm, :informacionSolicitanteFS, :consultarEntidadesPG"
                                             onstart="statusDialog2.show();"
                                             onsuccess="statusDialog2.hide();" />

                        </h:panelGrid>

                    </p:fieldset>
                </h:panelGrid>
            </h:form>
            <p:fieldset id="informacionSolicitanteFS">
                <legend>
                    <h:outputText value="Resultados de la consulta"
                                  styleClass="legendTitle" />
                </legend>

                <h:panelGrid width="100%" id="datosSolicitantePG">
                    <ui:include src="../util/resumenSolicitante.xhtml">
                        <ui:param name="headerTablaSolicitanteParam"
                                  value="Lista de entidades" />
                        <ui:param name="datosSolicitanteWvParam"
                                  value="addSolicitanteDialogWV" />
                        <ui:param name="eliminarSolicitanteWvParam"
                                  value="eliminarSolicitanteConfirmationWV" />
                        <ui:param name="consultarContratosWVParam"
                                  value="consultarContratosDialogWV" />
                    </ui:include>
                </h:panelGrid>
            </p:fieldset>
        </h:panelGrid>
        <h:form id="panelCerrar">
            <p:separator style="width:925px;height:3px" />
            <p:spacer height="7" width="0" />
            <p:outputPanel layout="block" style="text-align:right">
                <p:commandButton value="Cerrar"
                                 action="#{consultaInformacionEntidades.cerrar}"
                                 icon="ui-icon-circle-close" immediate="true" ajax="false" />
                <p:spacer height="0" width="30" />
            </p:outputPanel>
            <p:spacer height="20" width="0" />
        </h:form>

        <!-- ...................... dialogs  ................................... -->

        <ui:include src="../../util/visorGeografico.xhtml" />

        <!-- ................... DIALOGOS PARA CASO DE USO 54 .................. -->
        <p:dialog header="Adicionar solicitante"
                  widgetVar="addSolicitanteDialogWV" appendToBody="true"
                  closable="true" minimizable="false" resizable="false" dynamic="true"
                  modal="true" width="988">
            <p:panel header="Datos de la entidad">
                <ui:include src="../util/capturaDatosSolicitante.xhtml">
                    <ui:param name="adicionarSolicitanteWvParam"
                              value="guardarSolicitanteConfirmationWV" />
                    <ui:param name="crearContratoWVParam"
                              value="administrarContratoInteradministrativoWV" />
                </ui:include>
            </p:panel>
        </p:dialog>

        <!-- ................... DIALOGOS PARA CASO DE USO 53 ................... -->
        <p:dialog header="Consultar contratos"
                  widgetVar="consultarContratosDialogWV" appendToBody="true"
                  closable="true" minimizable="false" resizable="false" dynamic="true"
                  modal="true" width="988">
            <ui:include src="consultarContratosInteradministrativos.xhtml" />
        </p:dialog>

        <!-- ................... DIALOGOS PARA CASO DE USO 08 ................... -->
        <p:dialog header="Administrar contrato"
                  widgetVar="administrarContratoInteradministrativoWV"
                  appendToBody="true" closable="true" minimizable="false"
                  resizable="false" dynamic="true" modal="true" width="800"
                  height="600">
            <ui:include src="administrarContratosInteradministrativos.xhtml" />
            <p:ajax event="close"
                    update=":informacionContratoForm:resumenSolicitantesSolicitudInternoPanelGrid" />
        </p:dialog>

        <p:dialog header="Consultar consignación anticipo"
                  widgetVar="consultarConsignacionWV" appendToBody="true"
                  closable="true" minimizable="false" resizable="false" dynamic="true"
                  modal="true" width="700">
            <ui:include src="consultarConsignacionAnticipo.xhtml">
                <ui:param name="entidadSolicitanteParam"
                          value="#{adminContratosInteradministrativos.entidadSolicitante}" />
                <ui:param name="contratoParam"
                          value="#{adminContratosInteradministrativos.contratoSeleccionado}" />
                <ui:param name="consignacionParam"
                          value="#{adminContratosInteradministrativos.contratoSeleccionado.consignaciones[0]}" />
                <ui:param name="thisWVName" value="consultarConsignacionWV" />
            </ui:include>
        </p:dialog>

        <!-- ................... DIALOGOS PARA CASO DE USO 89 ................... -->
        <p:dialog
            header="Administrar adiciones al contrato interadministrativo"
            widgetVar="administrarAdicionesWV" appendToBody="true"
            closable="true" minimizable="false" resizable="false" dynamic="true"
            modal="true" width="700">
            <ui:include
                src="administrarAdicionesContratoInteradministrativo.xhtml" />
            <p:ajax event="close"
                    listener="#{adminContratosInteradministrativos.cargarValoresDespuesDeAdiciones}"
                    update=":administrarContratoInteradministrativosForm"
                    onstart="statusDialog2.show();" oncomplete="statusDialog2.hide();" />
        </p:dialog>

        <p:dialog header="Agregar / Modificar adiciones contratos"
                  widgetVar="agregarModificarAdicionesWV" appendToBody="true"
                  closable="true" minimizable="false" resizable="false" dynamic="true"
                  modal="true" width="300">
            <ui:include src="modificarAdicionesContrato.xhtml" />
        </p:dialog>

        <!-- ................... DIALOGOS PARA CASO DE USO 88 ................... -->
        <p:dialog
            header="Administrar avalúos en trámite asociados al contrato interadministrativo"
            widgetVar="administrarAvaluosTramiteAsociadoWV" appendToBody="true"
            closable="true" minimizable="false" resizable="false" dynamic="true"
            modal="true" width="900">
            <ui:include src="administrarAvaluosAsocAContrato.xhtml" />
            <p:ajax event="close"
                    listener="#{adminContratosInteradministrativos.calcularValorComprometidoEjecucion}"
                    update=":administrarContratoInteradministrativosForm"
                    onstart="statusDialog2.show();" oncomplete="statusDialog2.hide();" />
        </p:dialog>

        <p:dialog header="Modificar cotización"
                  widgetVar="modificarValorCotizacionWV" appendToBody="true"
                  closable="true" minimizable="false" resizable="false" dynamic="true"
                  modal="true" width="375">
            <ui:include src="modificarCotizacionAvaluo.xhtml" />
            <p:ajax event="close"
                    listener="#{adminAvaluosAsociadosAContrato.calcularValorComprometidoEjecucion}"
                    update=":adminAvaluosContratoForm" onstart="statusDialog2.show();"
                    oncomplete="statusDialog2.hide();" />
        </p:dialog>

        <p:dialog widgetVar="infoDeptosMunisWV"
                  header="Municipios y departamentos asociados al avalúo"
                  appendToBody="true" closable="true" minimizable="false"
                  resizable="false" dynamic="true" modal="true" width="600">
            <ui:include
                src="/avaluos/transversal/consultarDepartamentosMunicipiosAvaluo.xhtml" />
        </p:dialog>

        <p:dialog widgetVar="infoPredialWV"
                  header="Información de los predios asociados al avalúo"
                  appendToBody="true" closable="true" minimizable="false"
                  resizable="false" dynamic="true" modal="true" width="850">
            <ui:include
                src="/avaluos/transversal/consultarInformacionPredial.xhtml" />
        </p:dialog>

        <!-- ................... DIALOGOS PARA CASO DE USO 87 ................... -->
        <p:dialog header="Consultar avalúos aprobados"
                  widgetVar="consultarAvaluosAprobadosContratoWV" appendToBody="true"
                  closable="true" minimizable="false" resizable="false" dynamic="true"
                  modal="true" width="900">
            <ui:include src="consultarAvaluosAprobados.xhtml" />
        </p:dialog>

        <!-- ................... DIALOGOS PARA CASO DE USO 128 ................... -->
        <p:dialog header="Avaluadores asignados al Sec. radicado"
                  widgetVar="infoAvaluadoresAsignadosWV" appendToBody="true"
                  closable="true" minimizable="false" resizable="false" dynamic="true"
                  modal="true" width="750">
            <ui:include
                src="/avaluos/asignacion/consultarAvaluadoresAsignados.xhtml" />
        </p:dialog>

        <!-- ...................... composite components  ................................... -->

        <avaluos:informacionSolicitudCC id="isCC"
                                        thisWVName="infoSolicitudCCWV" thisId="isCC" mostrarInfoPago="false"
                                        detallePredioWVName="detallesPredioWV" detallePredioId="dpCC"
                                        infoPredialWVName="prediosWV" infoPredialId="pdsDialog"
                                        managedBean="#{consultaInformacionSolicitud}" />

        <predio:detallesPredioCC id="dpCC" thisWVName="detallesPredioWV"
                                 mostrarDatosTramites="false" thisIdPlusColon=":dpCC"
                                 mostrarFichaPredial="false" />

        <misc:ultimateConfirmDialogCC
            confirmMessage="#{adminInfoSolicitante.mensajeConfirmacionEliminacion}"
            confirmUpdateOnYes=":informacionSolicitanteForm, :datosSolicitanteForm"
            confirmDialogWV="eliminarSolicitanteConfirmationWV"
            voidActionOnYes="#{adminInfoSolicitante.eliminarSolicitanteDeLista}"
            width="350" />

        <misc:ultimateConfirmDialogCC
            confirmMessage="#{adminInfoSolicitante.mensajeConfirmacionAdicion}"
            confirmUpdateOnYes=":informacionSolicitanteForm, :datosSolicitanteForm"
            confirmDialogWV="guardarSolicitanteConfirmationWV"
            voidActionOnYes="#{adminInfoSolicitante.guardarSolicitante}"
            width="350" />

        <misc:ultimateConfirmDialogCC
            confirmMessage="#{adminContratosInteradministrativos.mensajeConfirmacionGuardar}"
            confirmUpdateOnYes=":administrarContratoInteradministrativosForm"
            confirmDialogWV="guardarContratoConfirmationWV"
            voidActionOnYes="#{adminContratosInteradministrativos.guardarContrato}"
            width="350" />

        <misc:ultimateConfirmDialogCC
            confirmMessage="¿Está seguro de ingresar la presente adición del contrato? "
            confirmUpdateOnYes=":adicionesContratoForm"
            confirmDialogWV="confirmacionCreacionWV"
            voidActionOnYes="#{administracionAdicionesContrato.crearEditarAdicion}"
            yesLabel="Aceptar" noLabel="Cancelar" />

    </ui:define>
</ui:composition>